function  trace_frenet_courbure(tmin,tmax,t0,ngra,xch,ych,testnonnul,R,I,T,N,nomsort);

% trac de la courbe au voisinage d'un point en coordonnes gnrales
%
%  trace_frenet_courbure(tmin,tmax,t0,ngra,xch,ych,testnonnul,R,I,T,N,nomsort)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  
%
%	variables d'entres : 
%     * tmin, tmax : dbut et fin de l'intervalle d'tude
%     * t0 : point considr
%     * ngra : nombre de point pour le trac (valeurs rpartie linairement)
%     * xch et ych  : deux chanes de caractre de la forme 'x(t)' et 
%                     'y(t)' o t est la seule variable, avec
%                     F(t)=(x(t),y(t))
%     * testnonnul,R,I,T,N : calcul par la fonction : [testnonnul,R,I,T,N]=prepar_courbure(xch,ych);
%     * nomsort : contient l'ventuel nom du fichier eps de sortie (sans extension eps) 
%
%  affiche localement (si possible)
%     - la courbe ;
%     - la parabole et le cercle osculateurs,
%     - le repre de Frenet T,N
%     - le centre de courbure
%    
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune
%
% *********************************************************
%
% (c) 2006 by      Jrme BASTIEN,
%                  UTBM, Dpartement GMC, Belfort
%                  E-Mail : jerome.bastien@utbm.fr



xfcn=vectorize(char(xch));
yfcn=vectorize(char(ych));
t=t0;
x0=eval(xfcn);
y0=eval(yfcn);
t=linspace(tmin,tmax,ngra);
xcourbe=eval(xfcn);
ycourbe=eval(yfcn);
Rc=R(t0);
testnonnulc=testnonnul(t0);
if (Rc==0)
   error('Rayon de courbure nul'); 
end
if (testnonnulc==0)
   error('Centre de courbure non dterminable'); 
end
Nc=N(t0);
Tc=T(t0);
Ic=I(t0);
aRc=abs(Rc);
xparabole=x0+(t-t0)*Tc(1)+(((t-t0).^2)/(2*Rc))*Nc(1);
yparabole=y0+(t-t0)*Tc(2)+(((t-t0).^2)/(2*Rc))*Nc(2);
[th0,Rfjdf]=cart2pol(x0-Ic(1),y0-Ic(2));
xcercle=aRc*cos((t-t0)/aRc+th0)+Ic(1);
ycercle=aRc*sin((t-t0)/aRc+th0)+Ic(2);
clf;
hold on;
axis equal;
plot(xcourbe,ycourbe,'r',xparabole,yparabole,'b',xcercle,ycercle,'g',...
    [x0,x0+Tc(1)],[y0,y0+Tc(2)],'r-.',[x0,x0+Nc(1)],[y0,y0+Nc(2)],'b-.',Ic(1),Ic(2),'or');
legend('courbe','parabole','cercle','T','N','centre courbure',0);
hold off;
if nargin==12
   eval(['print -depsc ',nomsort]);
end
